Package org.apache.solr.cluster.api

## Interface Router

    @Deprecated
    public interface Router

Deprecated.
identify shards for a given routing key or document id

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `shard​(String routingKey)` Deprecated. shard name for a given routing key

### Method Detail

#### shard

    String shard​(String routingKey)

Deprecated.
shard name for a given routing key